Ant (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Ant,Ant class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Ant

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Ant

public class Ant
extends Task

Build a sub-project.

      <target name="foo" depends="init">
        <ant antfile="build.xml" target="bar" >
          <property name="property1" value="aaaaa" />
          <property name="foo" value="baz" />
        </ant>
      </target>

      <target name="bar" depends="init">
        <echo message="prop is ${property1} ${foo}" />
      </target>

Since:
  Ant 1.1

Nested Class Summary
`static class` | `Ant.Reference` Helper class that implements the nested <reference> element of <ant> and <antcall>.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Ant()`

Method Summary
`void` | `addPropertyset(PropertySet ps)` Set of properties to pass to the new project.
`void` | `addReference(Ant.Reference r)` Reference element identifying a data type to carry over to the new project.
`Property` | `createProperty()` Property to pass to the new project.
`void` | `execute()` Do the execution.
`void` | `handleErrorFlush(java.lang.String output)` Pass output sent to System.err to the new project.
`void` | `handleErrorOutput(java.lang.String output)` Pass output sent to System.err to the new project.
`void` | `handleFlush(java.lang.String output)` Pass output sent to System.out to the new project.
`int` | `handleInput(byte[] buffer, int offset, int length)` Process input into the ant task
`void` | `handleOutput(java.lang.String output)` Pass output sent to System.out to the new project.
`void` | `init()` Creates a Project instance for the project to call.
`void` | `setAntfile(java.lang.String s)` The build file to use.
`void` | `setDir(java.io.File d)` The directory to use as a base directory for the new Ant project.
`void` | `setInheritAll(boolean value)` If true, pass all properties to the new Ant project.
`void` | `setInheritRefs(boolean value)` If true, pass all references to the new Ant project.
`void` | `setOutput(java.lang.String s)` Filename to write the output to.
`void` | `setTarget(java.lang.String s)` The target of the new Ant project to execute.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ant

    public Ant()

Method Detail

### setInheritAll

    public void setInheritAll(boolean value)

  If true, pass all properties to the new Ant project. Defaults to true.

  Parameters:
    `value` - if true pass all properties to the new Ant project.

### setInheritRefs

    public void setInheritRefs(boolean value)

  If true, pass all references to the new Ant project. Defaults to false.

  Parameters:
    `value` - if true, pass all references to the new Ant project

### init

    public void init()

  Creates a Project instance for the project to call.

  Overrides:
    `init` in class `Task`

### handleOutput

    public void handleOutput(java.lang.String output)

  Pass output sent to System.out to the new project.

  Overrides:
    `handleOutput` in class `Task`
  Parameters:
    `output` - a line of output
  Since:
    Ant 1.5

### handleInput

    public int handleInput(byte[] buffer,
                           int offset,
                           int length)
                    throws java.io.IOException

  Process input into the ant task

  Overrides:
    `handleInput` in class `Task`
  Parameters:
    `buffer` - the buffer into which data is to be read.
    `offset` - the offset into the buffer at which data is stored.
    `length` - the amount of data to read
  Returns:
    the number of bytes read
  Throws:
    `java.io.IOException` - if the data cannot be read
  Since:
    Ant 1.6
  See Also:
    `Task.handleInput(byte[], int, int)`

### handleFlush

    public void handleFlush(java.lang.String output)

  Pass output sent to System.out to the new project.

  Overrides:
    `handleFlush` in class `Task`
  Parameters:
    `output` - The output to log. Should not be `null`.
  Since:
    Ant 1.5.2

### handleErrorOutput

    public void handleErrorOutput(java.lang.String output)

  Pass output sent to System.err to the new project.

  Overrides:
    `handleErrorOutput` in class `Task`
  Parameters:
    `output` - The error output to log. Should not be `null`.
  Since:
    Ant 1.5

### handleErrorFlush

    public void handleErrorFlush(java.lang.String output)

  Pass output sent to System.err to the new project.

  Overrides:
    `handleErrorFlush` in class `Task`
  Parameters:
    `output` - The error output to log. Should not be `null`.
  Since:
    Ant 1.5.2

### execute

    public void execute()
                 throws BuildException

  Do the execution.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if a target tries to call itself probably also if a BuildException is thrown by the new project

### setDir

    public void setDir(java.io.File d)

  The directory to use as a base directory for the new Ant project. Defaults to the current project's basedir, unless inheritall has been set to false, in which case it doesn't have a default value. This will override the basedir setting of the called project.

  Parameters:
    `d` - new directory

### setAntfile

    public void setAntfile(java.lang.String s)

  The build file to use. Defaults to "build.xml". This file is expected to be a filename relative to the dir attribute given.

  Parameters:
    `s` - build file to use

### setTarget

    public void setTarget(java.lang.String s)

  The target of the new Ant project to execute. Defaults to the new project's default target.

  Parameters:
    `s` - target to invoke

### setOutput

    public void setOutput(java.lang.String s)

  Filename to write the output to. This is relative to the value of the dir attribute if it has been set or to the base directory of the current project otherwise.

  Parameters:
    `s` - file to which the output should go to

### createProperty

    public Property createProperty()

  Property to pass to the new project. The property is passed as a 'user property'

  Returns:
    new property created

### addReference

    public void addReference(Ant.Reference r)

  Reference element identifying a data type to carry over to the new project.

  Parameters:
    `r` - reference to add

### addPropertyset

    public void addPropertyset(PropertySet ps)

  Set of properties to pass to the new project.

  Parameters:
    `ps` - property set to add
  Since:
    Ant 1.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.